Skip to main content
PATCH
Update Evaluator

Authorizations

Authorization
string
header
required

Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>

Path Parameters

account_id
string
required

The Account Id

evaluator_id
string
required

The Evaluator Id

Query Parameters

prepareCodeUpload
boolean

If true, prepare a new code upload/build attempt by transitioning the evaluator to BUILDING state. Can be used without update_mask.

Body

application/json

The evaluator to update. The name must be set.

displayName
string
description
string
criteria
Criteria for the evaluator, it should produce a score for the metric (name of criteria) Used for eval3 with UI upload path · object[]
requirements
string
entryPoint
string
commitHash
string
source
object

Source information for the evaluator codebase.

defaultDataset
string

Response

200 - application/json

A successful response.

name
string
read-only
displayName
string
description
string
createTime
string<date-time>
read-only
createdBy
string
read-only
updateTime
string<date-time>
read-only
state
enum<string>
default:STATE_UNSPECIFIED
read-only
Available options:
STATE_UNSPECIFIED,
ACTIVE,
BUILDING,
BUILD_FAILED
criteria
Criteria for the evaluator, it should produce a score for the metric (name of criteria) Used for eval3 with UI upload path · object[]
requirements
string
entryPoint
string
status
Status of the evaluator, used to expose build status to the user · object
read-only
commitHash
string
source
object

Source information for the evaluator codebase.

defaultDataset
string